Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | List of all members
agora::rtc::IMediaExtensionObserver Class Reference

`#include <NGIAgoraMediaNode.h>`

Inherits agora::RefCountInterface.

## Public Member Functions
virtual | ~IMediaExtensionObserver ()
virtual void | onEventWithContext (const ExtensionContext &context, const char *key, const char *json_value)
virtual void | onExtensionStoppedWithContext (const ExtensionContext &context)
virtual void | onExtensionStartedWithContext (const ExtensionContext &context)
virtual void | onExtensionErrorWithContext (const ExtensionContext &context, int error, const char *message)
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0

## Additional Inherited Members
Protected Member Functions inherited from agora::RefCountInterface
virtual | ~RefCountInterface ()

## Constructor & Destructor Documentation

## ◆ ~IMediaExtensionObserver()

virtual agora::rtc::IMediaExtensionObserver::~IMediaExtensionObserver | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ onEventWithContext()

virtual void agora::rtc::IMediaExtensionObserver::onEventWithContext | ( | const ExtensionContext & | context,
|  | const char * | key,
|  | const char * | json_value )
| inlinevirtual

## ◆ onExtensionStoppedWithContext()

virtual void agora::rtc::IMediaExtensionObserver::onExtensionStoppedWithContext | ( | const ExtensionContext & | context | ) |
| inlinevirtual

## ◆ onExtensionStartedWithContext()

virtual void agora::rtc::IMediaExtensionObserver::onExtensionStartedWithContext | ( | const ExtensionContext & | context | ) |
| inlinevirtual

## ◆ onExtensionErrorWithContext()

virtual void agora::rtc::IMediaExtensionObserver::onExtensionErrorWithContext | ( | const ExtensionContext & | context,
|  | int | error,
|  | const char * | message )
| inlinevirtual